=== debian/changelog ===
dtn (2.7.0maemo-fremantle7) fremantle; urgency=low

  * dtn (2.7.0maemo-fremantle7) Fix problem with patches: fix-changing-of-TMP-in-maemo-inst.patch, 
    optifing-dtnperf-client.patch and optifing-dtnperf-server.patch; error in quilt configuration.

  * dtn (2.7.0maemo-fremantle7) Added a patch (optifing-dtn-default-conf-file.patch) to modify default
    dtn.conf for Maemo OS usage. 

 -- Francesco Baldassarri <francesc.baldassarr2@studio.unibo.it>  Tue, 08 Jun 2010 22:42:04 +0100

dtn (2.7.0maemo-fremantle6) fremantle; urgency=low

  * dtn (2.7.0maemo-fremantle6) adding patches:
    - fix-changing-of-TMP-in-maemo-inst.patch to change temp default folder used by dtnd 
    - optifing-dtnperf-client.patch to store tmp bundles in /opt/dtn/dtnperf
    - optifing-dtnperf-server.patch to store tmp bundles in /opt/dtn/dtnperf

 -- Francesco Baldassarri <francesc.baldassarr2@studio.unibo.it>  Mon, 07 Jun 2010 03:14:45 +0100

dtn (2.7.0maemo-fremantle5) fremantle; urgency=low

  * dtn (2.7.0maemo-fremantle5) Fixed a problem with preinstalled configuration file in version 2.7.0maemo-fremantle4

 -- Francesco Baldassarri <francesc.baldassarr2@studio.unibo.it>  Sat, 29 May 2010 00:20:54 +0100

dtn (2.7.0maemo-fremantle4) fremantle; urgency=low

  * dtn (2.7.0maemo-fremantle4) Porting for Maemo 5 codename Fremantle from 2.7.0ubuntu4 version

 -- Francesco Baldassarri <francesc.baldassarr2@studio.unibo.it>  Wed, 26 May 2010 21:29:03 +0100

dtn (2.7.0ubuntu4) karmic; urgency=low

  * Fix fix-rename-fail-dtnperf-server.patch problem.

 -- Leo Iannacone <l3on@ubuntu.com>  Wed, 26 May 2010 09:18:05 +0200

dtn (2.7.0maemo-fremantle3) fremantle; urgency=low

  * dtn (2.7.0maemo-fremantle3) Porting for Maemo 5 codename Fremantle from 2.7.0ubuntu3 version

 -- Francesco Baldassarri <francesc.baldassarr2@studio.unibo.it>  Wed, 26 May 2010 00:34:11 +0100

dtn (2.7.0ubuntu3) karmic; urgency=low

  * Replacing BUFSIZE in MAXSIZE in fix-rename-fail-dtnperf-server.patch 

 -- Leo Iannacone <l3on@ubuntu.com>  Tue, 25 May 2010 21:13:29 +0200

dtn (2.7.0ubuntu2) karmic; urgency=low

  * Applying fix-rename-fail-dtnperf-server.patch to fix rename files fail in 
    dtnperf-server when files are not in the same filesystem

  * debian/rules:
    - added quilt support
    - added dh_makeshlibs in binary_arch

  * debian/control:
    - added quilt as Build-Depends
    - added liboasys at Depends in dtn package (#FIX_ME#)
  
  * Fix test fails in debian/dtn.postinst

 -- Leo Iannacone <l3on@ubuntu.com>  Tue, 25 May 2010 16:13:29 +0200

dtn (2.7.0maemo-fremantle1) fremantle; urgency=low

  * dtn (2.7.0maemo-fremantle1) Porting for Maemo 5 codename Fremantle from 2.7.0ubuntu1 version

 -- Francesco Baldassarri <francesc.baldassarr2@studio.unibo.it>  Wed, 12 May 2010 02:34:12 +0100

dtn (2.7.0ubuntu1) karmic; urgency=low

  * debian/rules:
    - run ./build-configure.sh to regenerate configure templates 
      (Bug: #2998095)
    - added "-l$(CURDIR)/debian/dtn/usr/lib" at dh_shlibdeps
      fixing problems during building python-dtn package
    - add dh_pysupport
 
  * debian/control:
    - replaced '[]' in '<>' at maintainer email
    - added python-dev as Build-Depends instead of python*-dev
    - added python-support as Build-Depends
    - added debhelper (>= 5) as Build-Depends
    - added tcl, Berkeley db and Xerces libriaries as Build-Depends
    - added autoconf as Build-Depends in order to run ./build-configure.sh
      that fixes oasys aclocal problems (Bug: #2998095).
    - added Standards-Version 3.8.4

 -- Leo Iannacone <l3on@ubuntu.com>  Fri, 07 May 2010 20:19:53 +0200

dtn (2.7.0) unstable; urgency=low

  * 2.7.0 release upgrade

 -- Alex McMahon <ailex.mcmahon@cs.tcd.ie>  Fri, 08 May 2009 20:07:09 +0100

dtn (2.6.0) unstable; urgency=low

  * 2.6.0 release upgrade

 -- Alex McMahon <ailex.mcmahon@cs.tcd.ie>  Fri, 08 May 2009 20:07:09 +0100

dtn (2.5.1-1) unstable; urgency=low

  * 2.5.1 release update

 -- Michael Demmer <demmer@cs.berkeley.edu>  Wed,  5 Mar 2008 15:31:47 -0800

dtn (2.5.0-1) unstable; urgency=low

  * 2.5.0 release update

 -- Michael Demmer <demmer@cs.berkeley.edu>  Fri, 19 Oct 2007 11:52:23 -0700

dtn (2.4.0-1) unstable; urgency=low

  * Updated version of the package

 -- Michael Demmer <demmer@cs.berkeley.edu>  Wed, 11 Jul 2007 00:39:03 -0700

dtn (2.3.0-1) unstable; urgency=low

  * Updated version of the package

 -- Michael Demmer <demmer@cs.berkeley.edu>  Mon, 18 Dec 2006 13:00:31 -0800

dtn (2.2.0-1) unstable; urgency=low

  * Initial version of a debian package

 -- Michael Demmer <demmer@cs.berkeley.edu>  Tue, 14 Mar 2006 15:02:24 -0800
