=== debian/rules ===
#!/usr/bin/make -f

# Supoprt for quilt
include /usr/share/quilt/quilt.make

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is exported to make the rules for binary-indep and binary-arch
# work below
export DH_OPTIONS

configure: configure-stamp
configure-stamp:
	./build-configure.sh
	dh_testdir
	./configure -C
	touch configure-stamp

build: $(QUILT_STAMPFN) configure build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	$(MAKE) -C applib
#	$(MAKE) -C applib pythonapi
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) distclean || echo "nothing to clean"
	dh_clean

install: build
	dh_clean
	dh_testdir
	dh_testroot
	dh_installdirs

	$(MAKE) DESTDIR=`pwd`/debian/dtn/ install
#	$(MAKE) DESTDIR=`pwd`/debian/python-dtn/ -C applib pythonapi_install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installlogrotate
	dh_install -a
	dh_installinit
	dh_installman
	dh_link
	dh_pysupport
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps -l$(CURDIR)/debian/dtn/usr/lib
	dh_makeshlibs
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
