=== debian/changelog ===
dtn (2.7.0maemo-fremantle8) fremantle; urgency=low

  * dtn (2.7.0maemo-fremantle7) Added two patches:
    - optifing-tools-uninstall-sh.patch to optify file tools/uninstall.sh
    - optifing-servlib-cmd-storagecommand.patch to optify servlib/cmd/StorageCommand.cc

  * debian/control optimized for Maemo 5 Freamantle compilation

 -- Francesco Baldassarri <francesc.baldassarr2@studio.unibo.it>  Thu, 10 Jun 2010 21:41:43 +0100 
