=== debian/control ===
--- 
+++ 
@@ -22,15 +22,3 @@
  Homepage: http://www.dtnrg.org
 
 
-Package: python-dtn
-Section: user/network
-Depends: dtn
-Provides: ${python:Provides}
-Architecture: all
-Description: DTN python api
- .
- This package contains python bindings for applications to use the DTN
- reference implementation.
- . 
- Homepage: http://www.dtnrg.org
-
