=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,6 @@
 	dh_testdir
 	$(MAKE)
 	$(MAKE) -C applib
-#	$(MAKE) -C applib pythonapi
 	touch build-stamp
 
 clean:
@@ -39,7 +38,6 @@
 	dh_installdirs
 
 	$(MAKE) DESTDIR=`pwd`/debian/dtn/ install
-#	$(MAKE) DESTDIR=`pwd`/debian/python-dtn/ -C applib pythonapi_install
 
 # Build architecture-independent files here.
 binary-indep: build install
