## dtn 2.7.0maemo-fremantle9

=== debian/changelog ===
dtn (2.7.0maemo-fremantle9) fremantle; urgency=low

  * dtn (2.7.0maemo-fremantle9) Fixed a problem in creating "dtn" user: added a --no-create-home flag in line 13 of ../debian/dtn.postinst.

 -- Francesco Baldassarri <francesc.baldassarr2@studio.unibo.it>  Mon, 21 Jun 2010 18:58:34 +0100
