## dtn 2.7.0maemo-fremantle10

=== debian/changelog ===
dtn (2.7.0maemo-fremantle10) fremantle; urgency=low

  * dtn (2.7.0maemo-fremantle10) Added two other patches:
    - fix-filename-parsing-dtnperf-client.patch 
    - fix-fragment-offset-dtn.patch

  * dtn (2.7.0maemo-fremantle10) Added bugtracker link in ../debian/crontrol

 -- Francesco Baldassarri <francesc.baldassarr2@studio.unibo.it>  Thu, 22 Jul 2010 19:18:25 +0100
