=== debian/control ===
Source: dtn
Section: user/network
Priority: optional
Maintainer: Francesco Baldassarri <francesc.baldassarr2@studio.unibo.it>
XSBC-Original-Maintainer: dtnrg.org <dtn-users@mailman.dtnrg.org>
Build-Depends: liboasys-dev, python-dev, tcl8.5-dev, libdb4.2-dev, libxerces27-dev, autoconf, debhelper (>= 5), python-support, quilt
Standards-Version: 3.7.2

Package: dtn
Section: user/network
Architecture: any
Suggests: tclreadline
Depends: ${shlibs:Depends}, adduser, liboasys (>= 1.3)
Provides: dtn
XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=5958&group_id=1685&func=browse
XB-Maemo-Display-Name: DTN2 
Description: Delay Tolerant Networking reference implementation
 .
 This package contains the reference implementation of the Delay
 Tolerant Networking (DTN) architecture. This includes the DTN daemon
 (dtnd) as well as several example applications that use the DTN
 protocols. 
 . 
 Homepage: http://www.dtnrg.org 
 Installation and usage guideline: http://cnrl.deis.unibo.it
